package p04_instrukcje;

import java.util.Scanner;

public class Bagaz_v4 {

	/* W tej wersji:
	 * - rozbijamy warunki do oddzielnych if-ów, aby program napisał dlaczego bagaż został odrzucony
	 * - program wypisuje tylko pierwszą przyczynę odrzucenia
	 * - dzięki sprawdzaniu warunków negatywnych, możemy zastosować schemat else-if
	 *   i napisać to na zasadzie: sprawdź czy jest źle z 1. pwoodu, czy z 2. powodu itd.
	 *   a jeśli nie było żadnego problemu, to na samym końcu jest wykonana operacja w przypadku braku błędów
	 */
	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		System.out.print("Podaj 3 liczby - wymiary bagażu: ");
		int x = scanner.nextInt();
		int y = scanner.nextInt();
		int z = scanner.nextInt();
		int obj = x*y*z;
		
		if(x > 50) {
			System.out.println("x zbyt duży");
		} else if (y > 50) {
			System.out.println("y zbyt duży");
		} else if (z > 50) {
			System.out.println("z zbyt duży");
		} else if (obj > 50000) {
			System.out.println("objętość za duża");
		} else {
			System.out.println("Bagaż zaakceptowany");
			System.out.println("Otwieram bramki");
		}
	}

}
